# Gqrx Panadapter (uBITX panadapter version)

Authors
- Original version:  Alexander Fasching, OE5TKM
- uBITX version:     Rob French, KC4UPR

A [Gqrx](http://gqrx.dk/) to [Hamlib](http://www.hamlib.org) interface that keeps
the frequency displayed in Gqrx synchronized with the frequency settings on your 
radio.  This version allows for bidirectional control:  if the frequency is changed
on the radio, then it will be updated in Gqrx, and if a new frequency is selected 
in Gqrx, then the radio will be tuned to that frequency.

The IF output of the radio should be connected to a SDR, which is then received by 
Gqrx.  This script continuously reads the frequency of the radio from ```rigctld```
and sets the LNB and frequency settings in Gqrx.  In addition, if a new frequency 
is selected in Gqrx by clicking on the waterfall, then the script will command a 
new frequency to ```rigctld``` to update the radio's frequency.

## Usage

```
gqrx-panadapter.py [-h] [-ga A] [-gp P] [-ra A] [-rp P] [-i T] [-f F]

optional arguments:
  -h,     --help                show this help message and exit
  -ga A,  --gqrx-address A      address that Gqrx is listening on
  -gp P,  --gqrx-port P         remote control port configured in Gqrx
  -ra A,  --rigctld-address A   address that rigctld is listening on
  -rp P,  --rigctld-port P      listening port of rigctld
  -i T,   --interval T          update interval in milliseconds
  -f F,   --ifreq F             intermediate frequency in MHz
```

Make sure you configure [remote control](http://gqrx.dk/doc/remote-control) in Gqrx.
